Subject: bug#28839: bug#11697: bug#16697: 24.3.50; ERC scrolltobottom module does not work anymore

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 23 Oct 2019 11:57:44 +0200

Ivan Kanis <[email-masked]> writes:

> emacs -Q
>
> 1) evaluate (setq erc-modules '(scrolltobottom))
> 2) M-x erc
> 3) select default values
> 4) /j #emacs
> 5) wait for the buffer to fill up
>
> I expect the prompt line to stay at the bottom.
>
> It jumps back to the middle.

This was a bit convoluted to fix, as none of the hooks erc had could be
used, as they're called while saving too many excursions.  (Well, I
could have rewritten the erc-scroll-to-bottom function to not use
`recenter' at all, which may have been a better idea, come to think of
it.)

But I fixed it a different way, so that now point is kept at the end of
the buffer (if the window is selected).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no